std::_List_node< _Tp > Struct Template Reference
Inheritance diagram for std::_List_node< _Tp >:
[legend]

## Public Member Functions

template<typename... _Args>
| _List_node (_Args &&... __args)
void | _M_hook (_List_node_base *const __position) noexcept
void | _M_reverse () noexcept
void | _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void | _M_unhook () noexcept

## Static Public Member Functions

static void | swap (_List_node_base &__x, _List_node_base &__y) noexcept

## Public Attributes

_Tp | _M_data
_List_node_base * | _M_next
_List_node_base * | _M_prev

## Detailed Description

### template<typename _Tp>
struct std::_List_node< _Tp >

An actual node in the list.

Definition at line 106 of file stl_list.h.

## Member Data Documentation

## _M_data

template<typename _Tp>

_Tp std::_List_node< _Tp >::_M_data

< User's data.

Definition at line 109 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h